"""Op graphs that describe operations on tables."""

from corvic.op_graph import feature_types as feature_type
from corvic.op_graph import ops as op
from corvic.op_graph import row_filters as row_filter
from corvic.op_graph._schema import Field, Schema
from corvic.op_graph.errors import OpParseError

# included as convenience here since it's part of the public interface
from corvic_generated.algorithm.graph.v1.graph_pb2 import Node2VecParameters

empty = op.empty
from_staging = op.from_staging
EdgeListTable = op.EdgeListTable
Op = op.Op
FeatureType = feature_type.FeatureType
RowFilter = row_filter.RowFilter

__all__ = [
    "EdgeListTable",
    "FeatureType",
    "Node2VecParameters",
    "Op",
    "OpParseError",
    "Schema",
    "Field",
    "empty",
    "feature_type",
    "from_staging",
    "op",
    "row_filter",
]
